Bug 170287 - yumdownloader doesn't reflect failures in its exit status
yumdownloader doesn't reflect failures in its exit status
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-10 11:27 EDT by Göran Uddeborg
Modified: 2008-03-15 14:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 12:11:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2005-10-10 11:27:05 EDT
Description of problem:
When yumdownloader fails to download a package, it writes an error message, but
doesn't signal the failure in its exit status.

Version-Release number of selected component (if applicable):
yum-utils-0.2-2.fc4

How reproducible:
Every time

Steps to Reproduce:
1.yumdownloader --source evince-0.4.0-1.2
2.echo $?
  
Actual results:
$? is 0

Expected results:
$? should be 1, or something else not equal to 0

Additional info:
evince-0.4.0-1.2 is an update.  And the SRPM directory for updates is
(unfortunately) not "yum-enabled".  So the failure itself is expected.  But it
would make sense, and simplify scripts, if yumdownloader indicated this failure
in its exit status.
Comment 1 Christian Iseli 2007-01-17 18:22:20 EST
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.

Thanks.

Your friendly BZ janitor :-)
Comment 2 Göran Uddeborg 2007-01-21 16:19:28 EST
Still the same in FC6, yum-utils-1.0.1-1.fc6.
Comment 3 Christopher Brown 2007-04-19 17:21:00 EDT
I also see this in F7-devel as of today with --source option.
Comment 4 Tim Lauridsen 2008-03-12 12:11:51 EDT
i have added a non zero return code if there is nothing to download

Note You need to log in before you can comment on or make changes to this bug.